@rem *******************************************************************************
@rem Licensed Materials - Property of IBM
@rem (c) Copyright IBM Corporation 2011. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:
@rem Use, duplication or disclosure restricted by GSA ADP Schedule
@rem Contract with IBM Corp. 
@rem *******************************************************************************
@rem
@rem This batch file is used to set the Rational Insight style (i.e. skin) as the default style for
@rem all users on report server.
@rem
@rem Usage: setstyle.bat [options]
@rem   -help                      Displays this help message (optional)
@rem   -url <url>                 The report server dispatch URL
@rem   -namespace <namespace_id>  The ID of the namespace to log on (optional)
@rem   -user <user_id>            The user ID used to log on to specified namespace (optional)
@rem   -password <password>       The user password used to log on to specified namespace (optional)
@rem
@rem If you do not specify the optional parameters, the tool will perform an anonymous logon and set
@rem the "insight" style as the default style.

@echo off
@setlocal

call "%~dp0getparams.bat" %*

set RRDI_DIR=%RRDI_DIR:\=/%
set COGNOS_LIB_DIR=../../../cognos/webapps/p2pd/WEB-INF/lib
@rem echo COGNOS_LIB_DIR=%COGNOS_LIB_DIR%
set JAVA_CLASS_PATH=./setstyle.jar;%COGNOS_LIB_DIR%/axis.jar;%COGNOS_LIB_DIR%/jaxrpc.jar;%COGNOS_LIB_DIR%/commons-logging.jar;%COGNOS_LIB_DIR%/commons-discovery.jar;%COGNOS_LIB_DIR%/saaj.jar;%COGNOS_LIB_DIR%/axisCrnpClient.jar;%COGNOS_LIB_DIR%/testIBMFakeTrustSocketFactory.jar
@rem echo COGNOS_LIB_DIR=%JAVA_CLASS_PATH%

if defined SERVER_URL (
set cmdstr1=-url %SERVER_URL%
)
if defined NAMESPACE_ID (
set cmdstr2=-namespace "%NAMESPACE_ID%"
)
if defined USER_ID (
set cmdstr3=-user %USER_ID%
)
if defined PASSWORD (
set cmdstr4=-password %PASSWORD%
)


set cmdstr=%cmdstr1% %cmdstr2% %cmdstr3% %cmdstr4%

@rem echo "%cmdstr%"

"%INSIGHT_DIR%/jdk/jre/bin/java" -classpath %JAVA_CLASS_PATH% StyleManager %HELP% %cmdstr%

@endlocal
